.home-hero {
  position: relative;
  padding-block: 15rem;
  @media (min-width: 768px) {
    padding: 15rem 2.5rem 20rem;
  }
  @media (min-width: 1024px) {
    padding: 15rem 3.75rem 20rem;
  }
  @media (min-width: 1200px) {
    padding: 15rem 5rem 35rem;
  }
  
  & .home-hero__bg-cupsule {
    position: absolute;
    aspect-ratio: 320 / 331;
    & img {
      position: relative;
      object-fit: cover;
      width: 100%;
      height: 100%;
      mask-image: url("/system_panel/uploads/images/mask-capsule.svg");
      -webkit-mask-image: url("/system_panel/uploads/images/mask-capsule.svg");
      mask-size: 100% 100%;
    }
    &::before {
      content: "";
      aspect-ratio: 320 / 331;
      border-radius: 9999px;
      background-color: var(--sky);
      position: absolute;
      width: 100%;
    }
    
    &.home-hero__bg-cupsule--1 {
      width: 25rem;
      top: -2rem;
      right: -7.75rem;
      &::before {
        top: 1.25rem;
        left: -2.25rem;
      }
    }
    &.home-hero__bg-cupsule--2 {
      width: 20rem;
      bottom: 0;
      left: -7.5rem;
      &::before {
        top: -0.625rem;
        right: -1.25rem;
      }
    }
    &.home-hero__bg-cupsule--3 {
      width: 22.5rem;
      top: 9.375rem;
      left: -12.5rem;
      filter: blur(6px);
      &::before {
        top: -0.625rem;
        left: -1.25rem;
        background-color: var(--sun);
      }
    }
    &.home-hero__bg-cupsule--4 {
      width: 15rem;
      bottom: 0;
      right: -3.75rem;
      filter: blur(4px);
      &::before {
        top: 0.625rem;
        right: -0.625rem;
        background-color: var(--sun);
      }
    }
    @media (min-width: 768px) {
      &.home-hero__bg-cupsule--1 {
        width: 32rem;
      }
      &.home-hero__bg-cupsule--2 {
        width: 23rem;
        left: 1rem;
      }
      &.home-hero__bg-cupsule--3 {
        top: 4.375rem;
        left: -3.5rem;
      }
      &.home-hero__bg-cupsule--4 {
        right: -1.5rem;
      }
    }
    @media (min-width: 1200px) {
      &.home-hero__bg-cupsule--1 {
        width: 57.5rem;
        top: -6.25rem;
        right: -6.25rem;
      }
      &.home-hero__bg-cupsule--2 {
        width: 40rem;
        bottom: 2.5rem;
        left: -0.625rem;
      }
      &.home-hero__bg-cupsule--3 {
        left: 16.875rem;
      }
      &.home-hero__bg-cupsule--4 {
        right: 20rem;
      }
    }
  }
  
  & .home-hero__content {
    position: relative;
    border-radius: 2.5rem;
    background-color: hsl(0deg 0% 100% / 50%);
    backdrop-filter: blur(8px);
    padding: 3rem 1rem 2rem;
    width: fit-content;
    
    & .home-hero__title {
      line-height: 1.05;
      letter-spacing: 0.08em;
      font-weight: 900;
      font-size: 3.25rem;
    }
    & .home-hero__text {
      line-height: 2;
      letter-spacing: 0.04em;
      margin-top: 2rem;
    }
    @media (min-width: 768px) {
      padding-inline: 2rem;
      & .home-hero__title {
        font-size: 4rem;
      }
      & .home-hero__text {
        font-size: 1.125rem;
        margin-top: 2.25rem;
      }
    }
    @media (min-width: 1024px) {
      & .home-hero__title {
        font-size: 5rem;
      }
      & .home-hero__text {
        font-size: 1.25rem;
        margin-top: 2.5rem;
      }
    }
    @media (min-width: 1200px) {
      & .home-hero__title {
        font-size: 6.25rem;
      }
      & .home-hero__text {
        font-size: 1.5rem;
        margin-top: 3rem;
      }
    }
  }
}

.home-intro-bg-cupsule {
  width: 30rem;
  position: absolute;
  bottom: 3rem;
  left: -7.5rem;
  & img {
    width: 100%;
  }
}

.home-intro-bg-logo {
  width: 17.5rem;
  position: absolute;
  top: -1.25rem;
  right: -1.25rem;
  filter: blur(6px);
  & img {
    width: 100%;
  }
  @media (min-width: 768px) {
    width: 25rem;
  }
  @media (min-width: 1024px) {
    width: 30rem;
  }
  @media (min-width: 1200px) {
    width: 50rem;
    top: -7.5rem;
    right: 2rem;
  }
}

.home-business-slider {
  &:not(.swiper-initialized) {
    & .swiper-wrapper {
      display: flex;
      overflow: auto;
    }
    & .swiper-slide {
      min-width: 80%;
    }
    @media (min-width: 1200px) {
      display: block;
    }
  }
  width: 100%;
  --swiper-pagination-color: var(--sun);
  & .swiper-pagination {
    margin: 1.5rem 0 0 ;
    position: relative;
  }
  & .section-title--sm {
    & .section-title__ja {
      font-size: 1.75rem;
    }
    @media (min-width: 768px) {
      & .section-title__ja {
        font-size: 2.5rem;
      }
    }
    @media (min-width: 1200px) {
      & .section-title__ja {
        font-size: 3rem;
      }
    }
    
  }
  @media (min-width: 1200px) {
    display: none;
  }
}

.home-insta1 {
  width: 100%;
  overflow: visible;
  & .webgene-blog {
    transition-timing-function: linear;
  }
  @media (min-width :1024px) {
    display: hidden;
  }
}
.home-insta1--not-swiper {
  display: none;
  @media (min-width :1024px) {
    & .webgene-blog {
      display: grid;
      grid-template-columns: repeat(5, minmax(0, 1fr));
    }
    & .webgene-no-items {
      grid-column: span 5 / span 5;
    }
  }
}

.home-business-bg-capsule {
  position: absolute;
  aspect-ratio: 320 / 331;
  filter: blur(6px);
  & img {
    position: relative;
    object-fit: cover;
    width: 100%;
    height: 100%;
    mask-image: url("/system_panel/uploads/images/mask-capsule.svg");
    -webkit-mask-image: url("/system_panel/uploads/images/mask-capsule.svg");
    mask-size: 100% 100%;
  }
  &::before {
    content: "";
    aspect-ratio: 320 / 331;
    border-radius: 9999px;
    background-color: var(--snow);
    position: absolute;
    width: 100%;
    top: -0.625rem;
    left: -1.25rem;
  }
  
  &.home-business-bg-capsule--1 {
    width: 22.5rem;
    top: -5rem;
    left: -3.75rem;
  }
  &.home-business-bg-capsule--2 {
    filter: blur(4px);
    width: 15rem;
    bottom: -3.75rem;
    right: -2.5rem;
    &::before {
      top: 0.625rem;
      left: 0.625rem;
    }
    @media (min-width: 1200px) {
      top: 6.25rem;
      bottom: auto;
    }
  }
}


















